Bug 463960 - Problems with registering clients
Problems with registering clients
Status: CLOSED INSUFFICIENT_DATA
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2008-09-25 13:54 EDT by Chris
Modified: 2012-03-06 04:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 14:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris 2008-09-25 13:54:28 EDT
Description of problem: Client can't properly register. Upload of packages fails


Version-Release number of selected component (if applicable): 0.2


How reproducible: Don't know. From redhat 5.2 try to register with with rhn tools to spacewalk server. The process crashes.


Steps to Reproduce:
1.
2.
3.
  
Actual results: From server logs:
Exception reported from test
Time: Tue Sep 23 16:12:09 2008
Exception type cx_Oracle.DatabaseError
Exception while handling function handler
Request object information:
URI: /XMLRPC
Remote Host: 10.1.4.40
Server Name: test:0
Headers passed in:
	Accept-Encoding: identity
	Content-Length: 400659
	Host: test.pl.winterthur.com
	content-type: text/xml
	user-agent: rhn.rpclib.py/$Revision: 102540 $
	x-client-version: 1
	x-info: RPC Processor (C) Red Hat, Inc (version 102540)
	x-rhn-client-capability: =
packages.verifyAll(1)=3D1,caneatCheese(1)=3D1,packages.extended_profile(1=
)=3D1,reboot.reboot(1)=3D1,packages.verify(1)=3D1,packages.runTransaction=
(1)=3D1,packages.rollBack(1)=3D1
	x-rhn-transport-capability: follow-redirects=3D2
	x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc =
(version 102540)
	x-up2date-version: 0.4.17-8.el5
Extra information about this error:
Unhandled exception type

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheServer.py", line 57, in __call__
    ret =3D f(req)
  File "/usr/share/rhn/server/apacheHandler.py", line 201, in handler
    rhnSQL.rollback()
  File "/usr/share/rhn/server/rhnSQL/__init__.py", line 150, in rollback
    return db.rollback(name)
  File "/usr/share/rhn/server/rhnSQL/int_oracle.py", line 402, in =
rollback
    return self.dbh.rollback()
DatabaseError: ORA-03114: not connected to ORACLE


Local variables by frame
Frame rollback in /usr/share/rhn/server/rhnSQL/int_oracle.py at line 402
	                self =3D <type 'instance'> =
<server.rhnSQL.driver_cx_Oracle.Database instance at 0x2b82b4922f38>
	                name =3D <type 'NoneType'> None

Frame rollback in /usr/share/rhn/server/rhnSQL/__init__.py at line 150
	                  db =3D <type 'instance'> =
<server.rhnSQL.driver_cx_Oracle.Database instance at 0x2b82b4922f38>
	                name =3D <type 'NoneType'> None

Frame handler in /usr/share/rhn/server/apacheHandler.py at line 201
	                   h =3D <type 'instance'> <__builtin__.OracleCursor on =
<cx_Oracle.Connection to spacewalk@xe>>
	                self =3D <type 'instance'> =
<server.apacheHandler.apacheHandler instance at 0x2b82b4795c20>
	                 req =3D <type 'mp_request'> <mp_request object at =
0x2b82b0d99050>
	                 ret =3D <type 'int'> 0
	     templateStrings =3D <type 'dict'> {'email_account_info': =
'\nAccount Information:\n  Your Spacewalk login:         <login />\n  =
Your Spacewalk email address: <email-address />', 'email_footer': '--the =
Spacewalk Team', 'hostname': 'waw01b35.pl.winterthur.com'}
	                 row =3D <type 'NoneType'> None

Frame __call__ in /usr/share/rhn/server/apacheServer.py at line 62
	                self =3D <type 'instance'> =
<server.apacheServer.HandlerWrap instance at 0x2b82b47788c0>
	                 req =3D <type 'mp_request'> <mp_request object at =
0x2b82b0d99050>
	                   f =3D <type 'instancemethod'> <bound method =
apacheHandler.handler of <server.apacheHandler.apacheHandler instance at =
0x2b82b4795c20>>

Frame HandlerDispatch in =
/usr/lib64/python2.4/site-packages/mod_python/apache.py at line 299
	                 req =3D <type 'mp_request'> <mp_request object at =
0x2b82b0d99050>
	              config =3D <type 'mp_table'> {'PythonInterpreter': =
'rhn.server', 'PythonPath': 'sys.path+['/usr/share/rhn']'}
	                self =3D <type 'instance'> <mod_python.apache.CallBack =
instance at 0x2b82b0d92bd8>
	              object =3D <type 'instance'> =
<server.apacheServer.HandlerWrap instance at 0x2b82b47788c0>
	                   l =3D <type 'list'> ['server.apacheServer', =
'Handler']
	              module =3D <type 'module'> <module 'server.apacheServer' =
from '/usr/share/rhn/server/apacheServer.pyc'>
	               hlist =3D <type 'mp_hlist'> =
{'handler:'server.apacheServer::Handler','directory':'/XMLRPC/','silent':=
0}
	          object_str =3D <type 'str'> Handler
	               debug =3D <type 'int'> 0
	         module_name =3D <type 'str'> server.apacheServer
	          pathstring =3D <type 'str'> sys.path+['/usr/share/rhn']
	              result =3D <type 'int'> 500


Environment for PID=3D17211 on exception:
LANG =3D C
NLS_LANG =3D english.AL32UTF8
ORACLE_HOME =3D /opt/oracle
PATH =3D /sbin:/usr/sbin:/bin:/usr/bin
PERL_BADFREE =3D 0
PWD =3D /
SHLVL =3D 2
TERM =3D xterm
_ =3D /usr/sbin/httpd

Expected results: Properly registered client


Additional info: DatabaseError: ORA-03114: not connected to ORACLE which isn't true. Oracle was UP for the whole time.
Comment 1 Jesus M. Rodriguez 2009-06-23 13:23:27 EDT
Is this still a problem?
Comment 2 Clifford Perry 2009-07-27 14:18:32 EDT
No reply in a month. Please re-open if needed.

Note You need to log in before you can comment on or make changes to this bug.